Subject: categories: re: Extensions of Z+Z

From: "John Baez" <[email-masked]>
Date: Wed, 28 Apr 2004 17:18:09 -0700 (PDT)

Ronnie Brown writes:

> Colin McLarty wrote:

> > After calculating the group extensions of Z+Z by Z, with constant action,
> > I am curious whether the groups have any more natural form than I found.
> > I mean extension of Z+Z by Z in this sense, as a sequence of groups where
> > E need not be commutative:
> >
> > 0 --> Z --> E --> Z+Z --> 0
> >
> > and the kernel is in the center of E.
> >
> > The form I found is parametrized by the integers this way:  For any
> > integer c, the group E_c has triples of integers (i,j,k) as elements and
> > the multiplication rule is coordinate-wise addition plus an extra bit
> > in the first coordinate.

> Try the Heisenberg group of upper triangular matrices with 1's on the
> diagonal and the integers i,j,k in the upper non diagonal entries.
>
> 1   k   i
> 0   1   j
> 0   0   1
>
> This should give the case c=1 [...]

The name "Heisenberg" hints that anyone with a physics bone
in their body can't resist thinking about this sort of extension
in terms of quantum mechanics.   In this context, the constant
that parametrizes the central extension, which Colin and Ronnie
are calling "c", is called "Planck's constant", or "hbar" for short.

The original Heisenberg groups were the central extensions of R^2
by U(1) (the unit complex numbers).  To get these, we represent
any element (a,b) in R^2 as a unitary operator on L^2(R):

U(a,b) = exp(iaq + ibp)

where q and p are the self-adjoint "position" and "momentum" operators
on L^2(R):

q = multiplication by x
p = -i hbar d/dx

These unitary operators U(a,b) fail to commute because

[p,q] = - i hbar

so the group they generate is not R^2, except in the "classical"
case where hbar = 0.  Instead, they generate a group of operators
that is a central extension of R^2 by U(1).

We get all the central extensions of R^2 by U(1) this way.
Central extensions of R^2 by R work similarly; you get one
for each real number hbar.

Apparently central extensions of Z^2 by Z also work similarly!

Best,
jb